Bug 50666 - After setting things up with neat/internet-druid, ifup ppp0 fails
Summary: After setting things up with neat/internet-druid, ifup ppp0 fails
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-01 22:41 UTC by Panic
Modified: 2008-05-01 15:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-01 23:16:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Panic 2001-08-01 22:41:02 UTC
Description of Problem:

I can configure my dial-up configuration, but there does not appear to be
any way to dial out and make the connection.  Attempting to dial out with
"ifup ppp0" results in an error 2 if the MODEMPORT section is not specified
in /etc/sysconfig/network-scripts/ifcfg-ppp0 (bug# 50590, already fixed in
CVS).  If the MODEMPORT is specified, "ifup ppp0" simply hangs.

Chasing down the symlinks through three directories (??), we find:

/etc/sysconfig/network-scripts/ifcfg-ppp0 ->
/etc/sysconfig/networking/profiles//default/ifcfg-mindspring

However, ifcfg-mindspring is also a symlink to:

/etc/sysconfig/networking/devices//ifcfg-mindspring

These symlinks apparently work (the file at the end gets modified), but the
dial-up does not.  The wvdial configuration is fine, it works like a charm
from the command line.

How Reproducible:

Always

Steps to Reproduce:
1. Configure a dial-up connection
2. attempt to dial out (?), then try "ifup ppp0" to dial out
3. observe cool error, or insert MODEMPORT setting and observe cool hang

Actual Results:

Lack of PPP connection. :)

Expected Results:

Some way to dial out, or with "ifup ppp0" a modem dialing out and a valid
PPP connection

Additional Information:

Comment 1 Ngo Than 2001-08-02 09:47:53 UTC
It's fixed in 0.6.2(3).


Note You need to log in before you can comment on or make changes to this bug.